Subject: Re: What's cooking in git.git (Mar 2026, #11)

From: Patrick Steinhardt <[email-masked]>
Date: Fri, 27 Mar 2026 08:35:56 +0100

On Thu, Mar 26, 2026 at 04:16:33PM -0700, Junio C Hamano wrote:
> * ds/backfill-revs (2026-03-26) 6 commits
>  - t5620: test backfill's unknown argument handling
>  - path-walk: support wildcard pathspecs for blob filtering
>  - backfill: work with prefix pathspecs
>  - backfill: accept revision arguments
>  - t5620: prepare branched repo for revision tests
>  - revision: include object-name.h
> 
>  `git backfill` learned to accept revision and pathspec arguments.
> 
>  Will merge to 'next'?
>  source: <[email-masked]>

I don't have anything else to add to this series, so I'm fine with it
being merged down.

> * ps/commit-graph-overflow-fix (2026-03-23) 1 commit
>  - commit-graph: fix writing generations with dates exceeding 34 bits
> 
>  Fix a regression in writing the commit-graph where commits with dates
>  exceeding 34 bits (beyond year 2514) could cause an underflow and
>  crash Git during the generation data overflow chunk writing.
> 
>  Waiting for review response.
>  cf. <[email-masked]>
>  source: <[email-masked]>

Hm, I think this status is probably stale, as I've sent out that
response already and don't plan to change anything for now. So from my
perspective the patch is ready for next, but please let me know in case
you have different expectations.

> * ar/config-hook-cleanups (2026-03-25) 13 commits
>  - hook: reject unknown hook names in git-hook(1)
>  - hook: show disabled hooks in "git hook list"
>  - hook: show config scope in git hook list
>  - hook: introduce hook_config_cache_entry for per-hook data
>  - t1800: add test to verify hook execution ordering
>  - hook: make consistent use of friendly-name in docs
>  - hook: replace hook_list_clear() -> string_list_clear_func()
>  - hook: detect & emit two more bugs
>  - hook: rename cb_data_free/alloc -> hook_data_free/alloc
>  - hook: fix minor style issues
>  - builtin/receive-pack: properly init receive_hook strbuf
>  - hook: move unsorted_string_list_remove() to string-list.[ch]
>  - Merge branch 'ar/config-hooks' into ar/config-hook-cleanups
>  (this branch is used by ar/parallel-hooks.)
> 
>  Code clean-up around the recent "hooks defined in config" topic.
> 
>  Will merge to 'next'?
>  source: <[email-masked]>

I'll have a look at v3 of this series series today.

> * ar/parallel-hooks (2026-03-26) 13 commits
>  - hook: allow hook.jobs=-1 to use all available CPU cores
>  - hook: add hook.<event>.enabled switch
>  - hook: move is_known_hook() to hook.c for wider use
>  - hook: warn when hook.<friendly-name>.jobs is set
>  - hook: add per-event jobs config
>  - hook: add -j/--jobs option to git hook run
>  - hook: mark non-parallelizable hooks
>  - hook: allow pre-push parallel execution
>  - hook: allow parallel hook execution
>  - hook: parse the hook.jobs config
>  - config: add a repo_config_get_uint() helper
>  - repository: fix repo_init() memleak due to missing _clear()
>  - Merge branch 'ar/config-hook-cleanups' into ar/parallel-hooks
>  (this branch uses ar/config-hook-cleanups.)
> 
>  Needs review.
>  source: <[email-masked]>

Likewise, will try to find the time to do this today.

Thanks!

Patrick